htdigest(1)

NAME
htdigest - Create and update user authentication files

SYNOPSIS
htdigest [ -c ] passwdfile realm username

DESCRIPTION
htdigest is used to create and update the flat-files used to store usernames, realm and password for digest authentication of HTTP users. Resources available from the apache Apache web server can be restricted to just the users listed in the files created by htdigest.

This manual page only lists the command line arguments. For details of the directives necessary to configure digest authentication in apache see the Apache manual, which is part of the Apache distribution or can be found at http://httpd.apache.org/.

OPTIONS

-c  Create the passwdfile. If passwdfile already exists, it is deleted first.

passwdfile
    Name of the file to contain the username, realm and password. If -c is specified, this file is created if it does not already exist, or deleted and recreated if it does exist.

realm
    The realm name to which the user name belongs.

username
    The user name to create or update in passwdfile. If username does not exist is this file, an entry is added. If it does exist, the password is changed.

SEE ALSO
apache(8)